<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Oeffentlich\LoginAnfordern\AktiviereLogin;

class AktiviereLoginPresenter extends \Kufer\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  protected function getContent()
  {
    $view = $this->getView();

    return $view->getNoColumn();
  }

  protected function getView()
  {
    return new \Kufer\KuferTools\Oeffentlich\LoginAnfordern\AutoLoginAnfordernFormular\AutoLoginAnfordernFormularView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new \Kufer\KuferTools\Oeffentlich\LoginAnfordern\AutoLoginAnfordernFormular\AutoLoginAnfordernFormularViewModel();
    switch ($this->useCaseResponse->statusCode) {
      case \Kufer\KuferTools\Oeffentlich\LoginAnfordern\Utils\NeuesLoginAnlegen::NEUESLOGIN_SUCCESS:
        $viewModel->erfolgreichAktiviert = true;
        break;
      case \Kufer\KuferTools\Oeffentlich\LoginAnfordern\Utils\NeuesLoginAnlegen::NEUESLOGIN_ERROR_ALLGEMEIN:
        $viewModel->fehlerAllgemein = true;
        break;
      case \Kufer\KuferTools\Oeffentlich\LoginAnfordern\Utils\NeuesLoginAnlegen::NEUESLOGIN_ERROR_LOGIN_BEREITS_VORHANDEN:
        $viewModel->fehlerLoginBereitsVorhanden = true;
        break;
      case \Kufer\KuferTools\Oeffentlich\LoginAnfordern\Utils\NeuesLoginAnlegen::NEUESLOGIN_ERROR_OPTIN_NICHT_GEFUNDEN:
        $viewModel->fehlerOptionNichtGefunden = true;
        break;
    }

    return $viewModel;
  }
}